package com.blueland.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.bo.AreaEntity;
import com.blueland.model.TArea;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface AreaDao  extends BaseMapper<TArea> {

    /*根据条件查询列表*/
    List<AreaEntity> getList(@Param("bo") Map<String, Object> area);

    Page<AreaEntity> findPage(@Param("page")Page<AreaEntity> page, @Param("bo") Map<String, Object> area);

    AreaEntity getbyid(String id);

    int updateArea(AreaEntity model);

    List<AreaEntity> queryArea();

    int insetArea(AreaEntity areaEntity);

    void deleteArea(String id);

    //查询不含顶级的所有数据
    List<AreaEntity> queryall();

    void saveBatch(@Param("list")List<AreaEntity> list);

    //查询所有数据
    List<AreaEntity> selectList();
}
